Page MenuHomePhabricator

Remove templaters' need for .nomobile and support authoring media queries for templates
Closed, ResolvedPublic

Description

Templaters do not have access to less/css right now and that's why they use a class like .mobile It's a replacement for their inability to use media queries to target mobile devices and to create responsive templates.

MediaWiki:Common.css has stopped being sufficient for their needs, because it is shipped to every pageview, and thus only the most common usages of templating usually make use of MediaWiki:Common.css

Related Objects

StatusAssignedTask
Resolved Jdlrobson
ResolvedTgr
ResolvedAnomie
Resolvedtstarling
Resolvedcoren
ResolvedAnomie
StalledMhurd
ResolvedAnomie
ResolvedEsanders
ResolvedEsanders
Resolvedssastry
ResolvedAnomie
ResolvedCKoerner_WMF
Resolvedjhsoby
ResolvedTgr
DeclinedTgr
Resolvedcoren
ResolvedAnomie
ResolvedTgr
OpenNone
OpenNone
ResolvedTgr
ResolvedTgr
ResolvedTgr
ResolvedDeskana
ResolvedCKoerner_WMF
ResolvedWhatamidoing-WMF
ResolvedTgr
ResolvedTgr
ResolvedTgr
ResolvedUrbanecm
ResolvedTgr
ResolvedTacsipacsi
ResolvedTgr
ResolvedCKoerner_WMF

Event Timeline

TheDJ created this task.Nov 6 2015, 7:41 AM
TheDJ updated the task description. (Show Details)
TheDJ raised the priority of this task from to Needs Triage.
TheDJ added a subscriber: TheDJ.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 6 2015, 7:41 AM
TheDJ added a project: Mobile.
TheDJ set Security to None.
Ltrlg added a subscriber: Ltrlg.Nov 6 2015, 5:02 PM

Sadly T483 has stalled. It's a change that would require support of Parsing team as well as frontends standard group as from what I remember the RFC requested support of a <style> tag in wikitext.

Volker_E added a subscriber: Volker_E.EditedJul 13 2016, 4:32 PM

@TheDJ What we would like to have here is actually not necessarily make template authors to come up with their media queries on their own in every new template, but exposing a simple set of queries, that we also support in core to them, correct?

Slightly related to T93675: Should be a standard way to access tablet browser width threshold

Jdlrobson closed this task as Resolved.Jul 19 2017, 2:18 AM
Jdlrobson claimed this task.

TemplateStyles to the rescue!!